Bug 1291834 - Please add EPEL7
Please add EPEL7
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: apache-commons-collections4 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 11:42 EST by Cédric OLIVIER
Modified: 2015-12-17 23:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-17 23:08:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cédric OLIVIER 2015-12-15 11:42:29 EST
Could you include apache-commons-collections4 currently found in Fedora to Extra Packages for Enterprise Linux (EPEL)

Hi I'm JOSM maintainer, to update JOSM there is a new requirement : apache-commons-jcs. 
To build apache-commons-jcs for EPEL, I need apache-commons-collections4 in EPEL.

For EPEL I think, maven-checkstyle-plugin has to be in comment, because checkstyle is not yet available in EPEL, and I don't think checktyle is mandatory, only needed to validate development. 

https://www.dropbox.com/s/d71dsnxqtwx2p0j/apache-commons-collections4-remove-checkstyle.patch
https://www.dropbox.com/s/u51vt39zwkyprza/apache-commons-collections4.spec
Comment 1 Mikolaj Izdebski 2015-12-17 23:08:03 EST
Sorry, but I'm not interested in maintenance of EPEL packages. You are free to add and maintain the package yourself - feel free to request branches in pkgdb and I will approve them.

Note You need to log in before you can comment on or make changes to this bug.